org.modeshape.jboss.subsystem

## Class ModeShapeRootResource

- java.lang.Object
- - org.jboss.as.controller.SimpleResourceDefinition
  - - org.modeshape.jboss.subsystem.ModeShapeRootResource

- All Implemented Interfaces:
    org.jboss.as.controller.access.management.ConstrainedResourceDefinition, org.jboss.as.controller.ResourceDefinition

      public class ModeShapeRootResource
      extends org.jboss.as.controller.SimpleResourceDefinition

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ModeShapeRootResource` | `INSTANCE`
    `protected static org.jboss.as.controller.access.constraint.SensitivityClassification` | `MODESHAPE_SECURITY` Set the default ModeShape RBAC access as follows: Addressing is not sensitive: any management user can address (i.e. read the configuration) Read is sensitive: only Auditor, Administrator, SuperUser can read attributes, resources etc.
    `protected static org.jboss.as.controller.access.management.SensitiveTargetAccessConstraintDefinition` | `MODESHAPE_SECURITY_DEF`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.jboss.as.controller.access.management.AccessConstraintDefinition>` | `getAccessConstraints()`
    `void` | `registerOperations(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`

    - ### Methods inherited from class org.jboss.as.controller.SimpleResourceDefinition

      `getDescriptionProvider, getFlagsSet, getPathElement, getResourceDescriptionResolver, registerAddOperation, registerAddOperation, registerAttributes, registerChildren, registerRemoveOperation, registerRemoveOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          protected static final ModeShapeRootResource INSTANCE

    - #### MODESHAPE_SECURITY

          protected static final org.jboss.as.controller.access.constraint.SensitivityClassification MODESHAPE_SECURITY

      Set the default ModeShape RBAC access as follows: Addressing is not sensitive: any management user can address (i.e. read the configuration) Read is sensitive: only Auditor, Administrator, SuperUser can read attributes, resources etc. Write is sensitive: only Administrator and SuperUser can write

    - #### MODESHAPE_SECURITY_DEF

          protected static final org.jboss.as.controller.access.management.SensitiveTargetAccessConstraintDefinition MODESHAPE_SECURITY_DEF

  - ### Method Detail

    - #### registerOperations

          public void registerOperations(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerOperations` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerOperations` in class `org.jboss.as.controller.SimpleResourceDefinition`

    - #### getAccessConstraints

          public List<org.jboss.as.controller.access.management.AccessConstraintDefinition> getAccessConstraints()

      Specified by:
        `getAccessConstraints` in interface `org.jboss.as.controller.access.management.ConstrainedResourceDefinition`
      Overrides:
        `getAccessConstraints` in class `org.jboss.as.controller.SimpleResourceDefinition`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.